public class Cercle extends FigureCentree{ 

    private double rayon; 

    public Cercle(Point u, double r){
	super(u); 
	rayon = r;
    }

    public Cercle(double r){ 
	this(new Point(),r); 
    }
    
    public Cercle(Cercle c){
	this(c.monCentre(), c.rayon);
    } 

    public double monRayon(){ 
	return rayon; 
    } 

    public void homothetie(Point centreHomo, double rapport){
  	super.homothetie(centreHomo, rapport);
	rayon *= rapport;
    }
    
    public double aire() {
	return Math.PI*rayon*rayon; 
    } 
    
    public String toString() { 
	return super.toString() + " Rayon : " + rayon; 
    } 
}
