public abstract class FigureCentree implements FigureAvecCentre{

    protected Point centre;

    public FigureCentree(Point u){ 
	centre = new Point(u);
    }

    public Point monCentre(){
	return centre;
    }

    public String toString(){
	return "Centre : " + centre; 
    }

    public void homothetie(Point centreHomo, double rapport){
    centre =new Point(rapport * centre.abscisse() 
		      + ( 1 - rapport ) * centreHomo.abscisse(),
		      rapport * centre.ordonnee() 
		      + ( 1 - rapport ) * centreHomo.ordonnee());
    }

    public void homothetie(double rapport){
	homothetie(this.centre,rapport);
    }
    
    public void translater (double a, double b){ 
	centre.translater(a,b); 
    } 
} 
