public interface FigureAvecCentre
{
    /** Retourne le centre de la figure */
    public Point monCentre();

    /** Retourne une chaine de caratères décrivant l'instance de l'objet */
    public String toString();

    /** Applique à la figure une translation de vecteur de coordonnées(a,b) */
    public void translater(double a, double b);

    /** Applique à la figure une homothétie  de centre et de rapport donnés */
    public void homothetie(Point centreHomo, double rapport);

    /** Applique à la figure une homothétie  de centre le centre de la figure 
	et de rapport donné */
    public void homothetie(double rapport);

}
