public class Rectangle extends FigureCentree{  

    protected double largeur; 
    protected double hauteur; 

    public Rectangle(Point u, double ll, double h){ 
	super(u); 
	this.largeur = ll; 
	this.hauteur = h; 
    } 

    public Rectangle(double ll, double h){ 
	this(new Point(),ll,h);
    }

    private Point coin(){
	return  new Point( centre.abscisse()-largeur/2, 
			   centre.ordonnee()-hauteur/2);
    }
    
    public void homothetie(Point centreHomo, double rapport){
	super.homothetie(centreHomo, rapport);
	largeur *= rapport;
	hauteur *= rapport;
    }

    public double aire (){ 
	return this.hauteur * this.largeur; 
    } 

    
    public String toString(){ 
	Point basGauche = coin();
	double absGauche = basGauche.abscisse();
	double absDroite = absGauche + largeur;
	double ordBas = basGauche.ordonnee();
	double ordHaut = ordBas + hauteur;
	Point basDroite = new Point(absDroite,ordBas);
      	Point hautDroite = new Point(absDroite,ordHaut);
	Point hautGauche = new Point(absGauche,ordHaut);
	return "Sommets : " + basGauche + hautGauche + hautDroite + basDroite; 
    } 
}
